Discontinuation of certain plugins for new sites

Web Publishing is discontinuing the availability of certain plugins because they no longer meet our accessibility requirements. Sites that currently use these plugins will not be affected and will still see these plugins as active. The following plugins will no longer be available for new sites and are tentatively scheduled for removal in January 2019: […]

Web Publishing is discontinuing the availability of certain plugins because they no longer meet our accessibility requirements. Sites that currently use these plugins will not be affected and will still see these plugins as active.

The following plugins will no longer be available for new sites and are tentatively scheduled for removal in January 2019:

  • Attachment Importer
  • bbPress
  • Google Maps Pro
  • Embed Webmap
  • iframe
    • Users can now embed external content using the iframe code from third-party services, no shortcodes needed anymore.
  • Image wall
  • NYU Stream custom plugin
    • Users can now embed their stream videos using the iframe code from NYU Stream, no shortcodes needed anymore.
  • Leaflets maps
  • Legacy Custom CSS
  • Legacy Jetpack Custom CSS Editor
  • Polling
  • Tumblr widget
  • Subscribe by email

Removal for the following plugins is planned for after January 2019, pending discussion with the accessibility team and approval of replacement plugins for key features:

  • Jetpack
    • Custom CSS is available via your site’s customizer settings.
  • Subscribe by email

The service team is actively looking for replacements for these features and will implement the ones that pass accessibility and security tests by January 2019. We encourage site owners to begin plans to change to the replacement options or to explore new workflows.

Leave a Reply